{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-48.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "kf5-karchive-5.115.0-1.fc40",
        "store-results-to": "/tmp/tmpv_xzkohv/kf5-karchive-5.115.0-1.fc40.tar.xz",
        "time-created": "2024-07-03 13:45:30",
        "time-finished": "2024-07-03 13:47:08",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmpv_xzkohv/kf5-karchive-5.115.0-1.fc40.tar.xz' '--gcc-analyze' '/tmp/tmpv_xzkohv/kf5-karchive-5.115.0-1.fc40.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "COMPILER_WARNING",
            "language": "c/c++",
            "tool": "gcc",
            "hash_v1": "a1041c9b9ac995c74e5d6ecf896c07bab3ecba0d",
            "key_event_idx": 1,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kgzipfilter.cpp",
                    "line": 0,
                    "event": "scope_hint",
                    "message": "In member function ‘bool KGzipFilter::init(int, Flag)’",
                    "verbosity_level": 1
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kgzipfilter.cpp",
                    "line": 74,
                    "column": 26,
                    "event": "warning[-Wzero-as-null-pointer-constant]",
                    "message": "zero as null pointer constant",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   74 |     d->zStream.next_in = Z_NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "      |                          ^~~~~~",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   72|           terminate();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   73|       }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   74|->     d->zStream.next_in = Z_NULL;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   75|       d->zStream.avail_in = 0;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "   76|       if (mode == QIODevice::ReadOnly) {",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "ea36eb1832ad727c95d5db6a19c5b3650c652c02",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kgzipfilter.cpp",
                    "line": 158,
                    "column": 10,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Although the value stored to 'i' is used in the enclosing expression, the value is never actually read from 'i'",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kgzipfilter.cpp",
                    "line": 158,
                    "column": 10,
                    "event": "note",
                    "message": "Although the value stored to 'i' is used in the enclosing expression, the value is never actually read from 'i'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  156|       const Bytef *p = d->zStream.next_in;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  157|       int i = d->zStream.avail_in;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  158|->     if ((i -= 10) < 0) {",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  159|           return false; // Need at least 10 bytes",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  160|       }",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "09eaa1fce676a95ac87a3c41b419d49891aaf8e7",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kzip.cpp",
                    "line": 161,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'buffer' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kzip.cpp",
                    "line": 161,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'buffer' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  159|           } /*end if*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  160|           pfi.ctime = uint((uchar)buffer[0] | (uchar)buffer[1] << 8 | (uchar)buffer[2] << 16 | (uchar)buffer[3] << 24);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  161|->         buffer += 4;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  162|       } /*end if*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  163|   ",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "3237072490e70ae82bd96f52f198e228879306b8",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kzip.cpp",
                    "line": 196,
                    "column": 9,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'buffer' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kzip.cpp",
                    "line": 196,
                    "column": 9,
                    "event": "note",
                    "message": "Value stored to 'buffer' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  194|           buffer += 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  195|           pfi.gid = (uchar)buffer[0] | (uchar)buffer[1] << 8;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  196|->         buffer += 2;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  197|       } /*end if*/",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  198|       return true;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "99741671d9a1bca2146915dcc72481e1352ae331",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kzip.cpp",
                    "line": 469,
                    "column": 13,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'startOfFile' is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/kf5-karchive-5.115.0-build/karchive-5.115.0/src/kzip.cpp",
                    "line": 469,
                    "column": 13,
                    "event": "note",
                    "message": "Value stored to 'startOfFile' is never read",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  467|           if (!memcmp(buffer, \"PK\\5\\6\", 4)) { // 'end of entries'",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  468|               // qCDebug(KArchiveLog) << \"PK56 found end of archive\";",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  469|->             startOfFile = false;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  470|               break;",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  471|           }",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
